/* Terraform - (C) 1997-2000 Robert Gasch (r.gasch@chello.nl)
 *  - http://212.187.12.197/RNG/terraform/
 *  - http://terraform.sourceforge.net
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


#ifndef _HEIGHT_FIELD_WRITER_H
#define _HEIGHT_FIELD_WRITER_H 1


#include "HeightField.h"
#include "HeightFieldIO.h"
#include "glibconfig.h"


/**
 *  HeightFieldWriter: write a height field to the specified file 
 */
class HeightFieldWriter
	{
	public:
				HeightFieldWriter (const HeightField *HF, 
						   const FileIO *Fio);
				~HeightFieldWriter ();
		int		writePGM () const;
		int		writePG8 () const;
		int		writeTGA () const;
		int		writeMAT () const;
		int		writeOCT () const;
		int		writeAC (const HeightFieldDraw *HFD) const;

	private:
		HeightField		*p_HF;
		FileIO			*p_Fio;
	};


#endif // _HEIGHT_FIELD_WRITER_H 

